def hasCGBlock1(seq):
    count = 0
    for base in seq:
        if base in 'CG':
            count += 1
            if count == 5:
                 return True
        else:
            count = 0
    return False

def hasCGBlock2(seq):
    count = 0
    for base in seq:
        if base in 'CG':
            count += 1
            if count == 5:
                 return True
    return False

def hasCGBlock3(seq):
    count = 0
    for base in seq:
        if base in 'CG':
            count += 1
            if count == 5:
                 return True
        else:
            return False
        
def hasCGBlock4(seq):
    count = 0
    for base in seq:
        if base in 'CG':
            count += 1
            return count == 5
    return False
                
def hasCGBlock5(seq):
    count = 0
    for base in seq:
        if count >= 5:
            return True
        elif base in 'CG':
            count += 1
        else:
            count = 0
    return False

def hasCGBlock6(seq):
    block = ''
    for base in seq:
        if base in 'CG':
            block += base
            if len(block) == 5:
                 return True
        else:
            block = ''
    return False

def hasCGBlock7(seq):
    for index in range(len(seq)):
        if (seq[index] in 'CG'
            and seq[index+1] in 'CG'
            and seq[index+2] in 'CG'
            and seq[index+3] in 'CG'
            and seq[index+4] in 'CG'):
            return True
    return False

def hasCGBlock8(seq):
    for index in range(len(seq)-4):
        if (seq[index] in 'CG'
            and seq[index+1] in 'CG'
            and seq[index+2] in 'CG'
            and seq[index+3] in 'CG'
            and seq[index+4] in 'CG'):
            return True
    return False

def hasCGBlock9(seq):
    for index in range(len(seq)-4):
        block5 = True
        for offset in range(5):
            if seq[index+offset] not in 'CG':
                block5 = False
        if block5:
            return True
    return False

def hasCGBlock10(seq):
    return 'CCCCC' in seq or 'GGGGG' in seq
    
def hasCGBlock11(seq):
    return 'A' not in seq and 'U' not in seq

def changeCorGtoX(char):
    if char in 'CG':
        return 'X'
    else:
        return char   

def hasCGBlock12(seq):
    seqWithXs = ''.join([changeCorGtoX(base) for base in seq])
    return "XXXXX" in seqWithXs